# Uses of Interface
org.springframework.cglib.core.GeneratorStrategy

Packages that use GeneratorStrategy
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.transform.impl
Spring's repackaging of the CGLIB transform impl package (for internal use only).

## Uses of GeneratorStrategy in org.springframework.cglib.core

Classes in org.springframework.cglib.core that implement GeneratorStrategy
Modifier and Type
Class
Description
`class`
`ClassLoaderAwareGeneratorStrategy`
CGLIB GeneratorStrategy variant which exposes the application ClassLoader as current thread context ClassLoader for the time of class generation.
`class`
`DefaultGeneratorStrategy`
Methods in org.springframework.cglib.core that return GeneratorStrategy
Modifier and Type
Method
Description
`GeneratorStrategy`
AbstractClassGenerator.`getStrategy()`
Methods in org.springframework.cglib.core with parameters of type GeneratorStrategy
Modifier and Type
Method
Description
`void`
AbstractClassGenerator.`setStrategy(GeneratorStrategy strategy)`
Set the strategy to use to create the bytecode from this generator.
Constructors in org.springframework.cglib.core with parameters of type GeneratorStrategy
Modifier
Constructor
Description
``
`ClassLoaderAwareGeneratorStrategy(ClassLoader classLoader, GeneratorStrategy delegate)`
Create a decorator for the given GeneratorStrategy delegate, exposing the given ClassLoader.

## Uses of GeneratorStrategy in org.springframework.cglib.transform.impl

Classes in org.springframework.cglib.transform.impl that implement GeneratorStrategy
Modifier and Type
Class
Description
`class`
`UndeclaredThrowableStrategy`
A `GeneratorStrategy` suitable for use with `Enhancer` which causes all undeclared exceptions thrown from within a proxied method to be wrapped in an alternative exception of your choice.